Get style guides
curl --request GET \
--url https://api.dittowords.com/v2/styleguides \
--header 'Authorization: <api-key>'import requests
url = "https://api.dittowords.com/v2/styleguides"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.dittowords.com/v2/styleguides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"styleguides": [
{
"developerId": "product-guide",
"name": "Acme Inc.",
"description": "Voice and tone for Acme Inc. product text.",
"variant": null,
"sections": [
{
"sectionId": "foundations",
"name": "Foundations",
"kind": "rules",
"rules": [
{
"name": "Be concise",
"description": "Remove filler words so text is easy to scan.",
"examples": [
{
"from": "Please click the button below",
"to": "Click below"
}
],
"tags": []
}
]
},
{
"sectionId": "word-list",
"name": "Word List",
"kind": "wordlist",
"rules": [
{
"term": "AI agent",
"disallowed": [
"Bot"
],
"description": "Use 'AI agent' instead of 'bot'.",
"tags": []
}
]
}
]
},
{
"developerId": "marketing-guide",
"name": "French",
"description": "Localized guidance for French text.",
"variant": {
"id": "french",
"name": "French",
"localeCode": "fr-FR"
},
"sections": []
}
]
}Style guides
Get style guides
Returns the style guides created in the workspace, with their sections and rules. The built-in default style guide is not included.
GET
/
styleguides
Get style guides
Authorizations
Query Parameters
Comma-separated list of style guide developer IDs to return.
Response
200 - application/json
The workspace-created style guides.
The style guides created in the workspace, with their sections and rules.
Show child attributes
Show child attributes
⌘I